%define upstream_name	 Convert-BER
%define upstream_version 1.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Convert-BER (module for perl)
License: 	GPL
Group: 		Development/Perl
Url: 		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
Convert::BER is a perl object class implementation to encode
and decode objects as described by ITU-T standard X.209 (ASN.1)
using Basic Encoding Rules (BER)
	
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc MANIFEST README ChangeLog META.yml
%{perl_vendorlib}/Convert
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.320.0-10.mga9
+ Revision: 1802617
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.320.0-9.mga8
+ Revision: 1493586
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.320.0-8.mga7
+ Revision: 1266681
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.320.0-7.mga6
+ Revision: 1024345
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.320.0-6.mga6
+ Revision: 945397
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.320.0-5.mga5
+ Revision: 744993
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.320.0-4.mga5
+ Revision: 684012
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.320.0-3.mga4
+ Revision: 510242
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.320.0-2.mga3
+ Revision: 364763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.320.0-1.mga1
+ Revision: 25988
- mageia rebuild
- imported package perl-Convert-BER


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.320.0-1mdv2010.1
+ Revision: 460723
- update to 1.32

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.310.100-1mdv2010.0
+ Revision: 406918
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.31.01-7mdv2009.1
+ Revision: 351694
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.31.01-6mdv2009.0
+ Revision: 223577
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.31.01-5mdv2008.1
+ Revision: 136694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.31.01-5mdv2007.0
+ Revision: 108545
- rebuild

* Tue Aug 29 2006 Olivier Thauvin <nanardon@mandriva.org> 1.31.01-4mdv2007.0
+ Revision: 58429
- mkrel
- do make test
- Import perl-Convert-BER

